<script>
	export default {
		globalData: {
			lon: '',
			lat: ''
		},
		onLaunch: function() {
			// 初始化用户状态
			this.User.__init();
		},
		onShow: function() {
			uni.getLocation({
				type: 'wgs84',
				success: (res) => {
					this.globalData.lon = res.longitude;
					this.globalData.lat = res.latitude;
					console.log('当前位置的经度：' + res.longitude);
					console.log('当前位置的纬度：' + res.latitude);
				}
			});
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "@/uni_modules/uview-plus/index.scss";
	/*每个页面公共css */
	@import './common/uni.css';
	/* 通用样式 */
	@import './common/common.css';
	/* @import "./uni_modules/uview-plus/index.scss"; */
</style>

<style lang="scss">
	.common-mes-nofity {
		padding-bottom: 50rpx;
		position: relative;
		width: 100%;
		border-radius: 14rpx;
		background-color: #ffffff;

		.top {
			width: 100%;
			background: linear-gradient(180deg, #FFE3D9 0%, #FFFFFF 100%);
			border-radius: 14rpx;
			height: 148rpx;
		}

		.bot {
			margin-top: 72rpx;

			.confirm {
				padding: 10rpx 60rpx;
				border-radius: 30rpx;
				color: #ffffff;
				background-color: #FF4502;
				font-family: Microsoft YaHei, Microsoft YaHei;
				font-weight: 400;
				font-size: 28rpx;
				color: #FFFFFF;
			}
		}
	}
	


</style>